#ifndef VIEW_SOLUTION_HPP
#define VIEW_SOLUTION_HPP

#include <QWidget>
#include <QVBoxLayout>
#include <QScrollBar>
#include <QGridLayout>
#include <QLabel>

#include "qt/view_solution_geometry.hpp"
#include "kernel.hpp"

class QtViewSolution:public QWidget{
  Q_OBJECT
private:
  QVBoxLayout* main_layout;
  QScrollBar* time_bar;
  QWidget* info_widget;
  QGridLayout* info_layout;
  QLabel* time_label;
  Kernel* kernel;
  QtViewSolutionGeometry* solution_geometry;
  size_t step;
public:
  QtViewSolution(Kernel* kernel);
  ~QtViewSolution();
  void update();
  void update_infos();
private slots:
  void time_change(int);
};

#endif
